Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517584 - Review Request: ocaml-qtest - Inline (Unit) Tests for OCaml
Summary: Review Request: ocaml-qtest - Inline (Unit) Tests for OCaml
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 02:17 UTC by Andy Li
Modified: 2017-12-28 02:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-26 16:30:23 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Andy Li 2017-11-27 02:17:22 UTC
Spec URL: https://gist.github.com/andyli/0b3a2cd7b62303861d02887fe7f88879/raw/5cf58e6ae8f2d19b611749de254ef54c31ca5bb0/ocaml-qtest.spec
SRPM URL: https://gist.github.com/andyli/0b3a2cd7b62303861d02887fe7f88879/raw/5cf58e6ae8f2d19b611749de254ef54c31ca5bb0/ocaml-qtest-2.7-1.fc28.src.rpm
Description: Inline (Unit) Tests for OCaml
Fedora Account System Username: andyli

There some minor license issues, reported at https://github.com/vincent-hugot/iTeML/issues/48

This is a dependency of ptmap, which is used by the next version of haxe (v4.0.0).

Comment 1 Robert-André Mauchin 2017-11-28 19:40:40 UTC
 - Use install instead of mkdir + cp

install -Dp -m 0755 %{target} $RPM_BUILD_ROOT%{_bindir}/qtest

 - Fetch the license from the git repo now that it has been added

Comment 4 Robert-André Mauchin 2017-11-29 13:12:10 UTC
Package accepted.

Comment 5 Gwyn Ciesla 2017-11-30 02:00:42 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ocaml-qtest

Comment 6 Fedora Update System 2017-12-14 03:01:29 UTC
ocaml-qtest-2.7-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e919a8a36e

Comment 7 Fedora Update System 2017-12-14 03:01:37 UTC
ocaml-qtest-2.7-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f39db4e34f

Comment 8 Fedora Update System 2017-12-14 13:02:36 UTC
ocaml-qtest-2.7-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f39db4e34f

Comment 9 Fedora Update System 2017-12-14 13:34:13 UTC
ocaml-qtest-2.7-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e919a8a36e

Comment 10 Fedora Update System 2017-12-26 16:30:23 UTC
ocaml-qtest-2.7-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-12-28 02:49:30 UTC
ocaml-qtest-2.7-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.